ProgressBarBg (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.renderkit.html.images.ProgressBarBg class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ProgressBarBg

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.images.ProgressBarBg

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class ProgressBarBg

extends org.ajax4jsf.resource.Java2Dresource

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`ProgressBarBg()` No args constructor.

Method Summary
`protected java.lang.Object` | `deserializeData(byte[] objectArray)`
`protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
`java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
`protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
`boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext ctx)`
`protected void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d)` Paints fixed progress bar background.

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressBarBg

    public ProgressBarBg()

  No args constructor.

Method Detail

### getDimensions

    protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`
  See Also:
    `Java2Dresource.getDimensions(ResourceContext)`

### getDimensions

    public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                            java.lang.Object data)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`
  See Also:
    `Java2Dresource.getDimensions(FacesContext, Object)`

### isCacheable

    public boolean isCacheable(org.ajax4jsf.resource.ResourceContext ctx)

  Specified by:
    `isCacheable` in interface `org.ajax4jsf.resource.InternetResource`
  Overrides:
    `isCacheable` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.isCacheable(ResourceContext)`

### paint

    protected void paint(org.ajax4jsf.resource.ResourceContext context,
                         java.awt.Graphics2D g2d)

  Paints fixed progress bar background.

  Overrides:
    `paint` in class `org.ajax4jsf.resource.Java2Dresource`

### getDataToStore

    protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                              java.lang.Object data)

  Overrides:
    `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.getDataToStore(FacesContext, Object)`

### deserializeData

    protected java.lang.Object deserializeData(byte[] objectArray)

  Overrides:
    `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`
  See Also:
    `InternetResourceBase.deserializeData(byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.